Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JmxAgentConfigurer

    java.lang.Object
      org.mule.module.management.agent.JmxAgentConfigurer

All Implemented Interfaces:
  MuleContextAware

    public class JmxAgentConfigurer

extends Object
implements MuleContextAware

Mule now binds to a platform mbeanserver by default and jmx agent is always registered via a bootstrap process. Thus a namespace handler creates this configurer class instead which propagates user settings to a jmx agent in the registry (instead of trying to register a duplicate jmx agent).

Field Summary
`static Map` | `DEFAULT_CONNECTOR_SERVER_PROPERTIES`
`protected boolean` | `locateServer` Should MBeanServer be discovered.
`protected static Log` | `logger` Logger used by this class
`protected MuleContext` | `muleContext`

Constructor Summary
`JmxAgentConfigurer()`

Method Summary
`Map` | `getConnectorServerProperties()` Getter for property 'connectorServerProperties'.
`String` | `getConnectorServerUrl()`
`MBeanServer` | `getMBeanServer()`
`boolean` | `isCreateRmiRegistry()`
`boolean` | `isCreateServer()`
`boolean` | `isEnableStatistics()`
`boolean` | `isLocateServer()`
`void` | `setConnectorServerProperties(Map connectorServerProperties)` Setter for property 'connectorServerProperties'.
`void` | `setConnectorServerUrl(String connectorServerUrl)`
`void` | `setCreateRmiRegistry(boolean createRmiRegistry)`
`void` | `setCreateServer(boolean createServer)`
`void` | `setCredentials(Map newCredentials)` Setter for property 'credentials'.
`void` | `setEnableStatistics(boolean enableStatistics)`
`void` | `setLocateServer(boolean locateServer)`
`void` | `setMBeanServer(MBeanServer mBeanServer)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONNECTOR_SERVER_PROPERTIES

    public static final Map DEFAULT_CONNECTOR_SERVER_PROPERTIES

### logger

    protected static final Log logger

  Logger used by this class

### muleContext

    protected MuleContext muleContext

### locateServer

    protected boolean locateServer

  Should MBeanServer be discovered.

Constructor Detail

### JmxAgentConfigurer

    public JmxAgentConfigurer()

Method Detail

### isCreateServer

    public boolean isCreateServer()

  Returns:
    Returns the createServer.

### setCreateServer

    public void setCreateServer(boolean createServer)

  Parameters:
    `createServer` - The createServer to set.

### isLocateServer

    public boolean isLocateServer()

  Returns:
    Returns the locateServer.

### setLocateServer

    public void setLocateServer(boolean locateServer)

  Parameters:
    `locateServer` - The locateServer to set.

### getConnectorServerUrl

    public String getConnectorServerUrl()

  Returns:
    Returns the connectorServerUrl.

### setConnectorServerUrl

    public void setConnectorServerUrl(String connectorServerUrl)

  Parameters:
    `connectorServerUrl` - The connectorServerUrl to set.

### isEnableStatistics

    public boolean isEnableStatistics()

  Returns:
    Returns the enableStatistics.

### setEnableStatistics

    public void setEnableStatistics(boolean enableStatistics)

  Parameters:
    `enableStatistics` - The enableStatistics to set.

### getMBeanServer

    public MBeanServer getMBeanServer()

  Returns:
    Returns the mBeanServer.

### setMBeanServer

    public void setMBeanServer(MBeanServer mBeanServer)

  Parameters:
    `mBeanServer` - The mBeanServer to set.

### getConnectorServerProperties

    public Map getConnectorServerProperties()

  Getter for property 'connectorServerProperties'.

  Returns:
    Value for property 'connectorServerProperties'.

### setConnectorServerProperties

    public void setConnectorServerProperties(Map connectorServerProperties)

  Setter for property 'connectorServerProperties'. Set to `null` to use defaults (`DEFAULT_CONNECTOR_SERVER_PROPERTIES`). Pass in an empty map to use no parameters. Passing a non-empty map will replace defaults.

  Parameters:
    `connectorServerProperties` - Value to set for property 'connectorServerProperties'.

### setCredentials

    public void setCredentials(Map newCredentials)

  Setter for property 'credentials'.

  Parameters:
    `newCredentials` - Value to set for property 'credentials'.

### isCreateRmiRegistry

    public boolean isCreateRmiRegistry()

### setCreateRmiRegistry

    public void setCreateRmiRegistry(boolean createRmiRegistry)

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.